#ifndef TEXTED_H_
	#define TEXTED_H_
	#include "include/curses.h"
	#include <string.h>
	#include <stdlib.h>

	#define SAVE_LOC_SIZE 500
	
	char* shortenString(char*);
	void shiftElementsDown(char*,int);
	void shiftElementsUp(char*,int);
	char* getSaveLoc(int,int,char*);
	int findLastChar(WINDOW*,int,int);
	int findLastCharWithArray(WINDOW*,WINDOW*,int,int,char*,int,int);
	bool isLastChar(WINDOW*,int,int,int);
	void printFromIndex(WINDOW*,char*,int,int,int,int);
	char findCharInArray(char*,int,int,int);
	int charToNewLine(char*,int);
	int run(char*);
	
#endif
